﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IBaseStaffService : IBaseService<BaseStaffInfo>
    {

        /// <summary>
        /// 获取所有员工信息
        /// </summary>
        /// <returns></returns>
        List<BaseStaffInfo> GetStaffInfos();

        /// <summary>
        /// 通过卡号获取员工信息
        /// </summary>
        /// <param name="cardId"></param>
        /// <returns></returns>
        BaseStaffInfo GetStaffInfoByCardId(string cardId);

        /// <summary>
        /// 通过员工号获取员工信息
        /// </summary>
        /// <param name="cardId"></param>
        /// <returns></returns>
        BaseStaffInfo GetStaffInfoByStaffId(string staffId);

        /// <summary>
        /// 找出班组的班长
        /// </summary>
        /// <param name="teamCode"></param>
        /// <returns></returns>
        BaseStaffInfo GetMonitorByTeamCode(string teamCode);
    }
}
